entorno_pizza/sitio_pizza/app_pizzaplanet/urls.py
from django import urls
from app_pizzaplanet.serializers import ProdructoSerializer
from django.urls.conf import include
from app_pizzaplanet.models import carrito
from os import name
from django.urls import path
from .views import ProductoViewSet, miCarrito, editar, editarUser, eliminar, eliminar_usuario, gestionProductos, gestionVentas, index, ingresarProd,  listausuarios,   menuAdmin, miCarrito, modificarProd, pedidosDay,puntos,pedidos,locales,  registro
from rest_framework import routers

#API
router=routers.DefaultRouter()
router.register('gestionProductos', ProductoViewSet)

urlpatterns = [
    path('', index, name='index'),
    path('puntos/', puntos, name='puntos'),
    path('pedidos/',pedidos, name='pedidos'),
    path('locales/',locales, name='locales'),
    path('registro/', registro, name="registro"),
    path('menuAdmin/',menuAdmin,name='menuAdmin'),
    path('pedidosDay/',pedidosDay,name='pedidosDay'),
    path('gestiondeventas/',gestionVentas,name='gestionVentas'),
    path('GestionProductos/',gestionProductos,name='gestionProductos'),
    path('ingresarProd/',ingresarProd,name='ingresarProd'),
    path('modificarProd/',modificarProd,name='modificarProd'),
    path('listausuarios/',listausuarios, name='listausuarios'),
    path('eliminar/<id>',eliminar,name='eliminar'),
    path('editar/<id>',editar,name='editar'),
    path('editarUser/<id>',editarUser,name="editarUser"),
    path('eliminar_usuario/<id>',eliminar_usuario,name="eliminar_usuario"),
    path('miCarrito/',miCarrito,name="miCarrito"),
    path('api/',include(router.urls)), #api

]

entorno_pizza/sitio_pizza/sitio_pizza/urls.py
from django.contrib import admin
from django.urls import path,include #no borrar!

from django.conf import settings #necesario para cargar imagenes
from django.conf.urls.static import static #necesario para cargar imagenes


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('app_pizzaplanet.urls')), #no borrar!
    path('accounts/',include('django.contrib.auth.urls')), #no borrar, necesario para el login
    path('api-auth/', include('rest_framework.urls')), #api
    path('api-auth/', include('rest_framework.urls', namespace='rest_framework'))#api
   
    
]

#necesario para cargar imagen
if settings.DEBUG==True:

    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT) 

entorno_pizza/sitio_pizza/app_pizzaplanet/models.py
from django.db import models

# Create your models here.

#modelo tabla de los productos
class Producto(models.Model):
    codigo=models.CharField(max_length=20,primary_key=True)
    nombre=models.CharField(max_length=30,null=False)
    descripcion=models.CharField(max_length=60,null=False)
    stock=models.CharField(max_length=30,null=False)
    valorUnitario=models.CharField(max_length=25,null=False)
    valorTotal=models.CharField(max_length=25,null=False)
    fechaIngreso=models.DateField(auto_now=True)
    imagen=models.ImageField(upload_to="fotos",null=True)


    def __str__(self):
        return f"{self.codigo} - {self.nombre} - {self.descripcion}-{self.stock} - {self.valorUnitario} - {self.valorTotal} - {self.fechaIngreso}"

class carrito(models.Model):
    usuario=models.CharField(max_length=100)
    codProducto=models.IntegerField()

entorno_pizza/sitio_pizza/app_pizzaplanet/forms.py
from django import forms
import django
from django.db.models.base import Model
from django.forms import fields
from .models import Producto
from django.contrib.auth.forms import UserCreationForm #import para creacion de usuarios
from django.contrib.auth.models import User #importo la tabla de usuario



#formulario para registro de usuarios
class formularioRegistro(UserCreationForm):

    class Meta:
        model=User
        fields=["username","email","first_name","last_name"]




#formulario para ingresar un producto
class formularioProducto(forms.ModelForm):
    #fechaIngreso=forms.DateField(label="Fecha ingreso", widget=forms.TextInput(attrs={'type':'date'}))

   
    class Meta:
        model=Producto
        fields=["codigo","nombre","descripcion","stock","valorUnitario","valorTotal","imagen"] 









entorno_pizza/sitio_pizza/app_pizzaplanet/views.py
from app_pizzaplanet.serializers import ProdructoSerializer
from django.contrib import auth
from django.db import reset_queries
from django.db.models import query
from django.db.models.query import QuerySet
from django.shortcuts import get_object_or_404, redirect, render
from app_pizzaplanet.models import Producto
from app_pizzaplanet.forms import   formularioProducto, formularioRegistro
from django.contrib import messages # import necesario para mensaje alerta
from django.contrib.auth.models import User ##necesario para autenticar usuario
from django.contrib.auth import login, authenticate #necesario para autenticar usuario
from django.contrib.auth.decorators import login_required,permission_required
from rest_framework import viewsets



# Create your views here.

#API
from rest_framework import serializers
from .models import Producto
class ProductoViewSet(viewsets.ModelViewSet):
    queryset = Producto.objects.all()
    serializer_class = ProdructoSerializer




#vista listado de usuarios en pagina del admin
@login_required #necesita login para entrar
@permission_required('auth.can_view_user') #permiso de admin para acceder
def listausuarios(request):
    users=User.objects.all()

    contexto={
        "usuarios":users
    }
    return render(request,"app_pizzaplanet/listaUsuarios.html",contexto)



###VISTAS USUARIO 

#vista del index
def index (request): 
    return render(request,"app_pizzaplanet/index.html")

#vista de planet puntos
@login_required
def puntos(request): 
    return render(request,"app_pizzaplanet/Planetpuntos.html")

#vista de mis pedidos
@login_required
def pedidos(request):
    return render(request,"app_pizzaplanet/historialPedidos.html")

#vista de locales
def locales(request):
    return render(request,"app_pizzaplanet/locales.html")

#vista para carrito de compras
@login_required
def miCarrito(request):
    return render(request,"app_pizzaplanet/carrito_compra.html")

#vista formulario registro de usuarios
def registro(request):
    form=formularioRegistro()

    if request.method=="POST":
        form=formularioRegistro(data=request.POST)
        if form.is_valid():
            form.save()
            #user y login son para autenticar el usuario
            user=authenticate(username=form.cleaned_data["username"],password=form.cleaned_data["password1"])
            login(request,user)
            messages.success(request, "Usuario Creado")
            return redirect(to="index")

    contexto={
        "form":form
    }

    return render(request,"registration/registro.html",contexto)




####VISTAS ADMINISTRADOR

#vista menu administrador
@login_required
@permission_required('auth.can_view_user')
def menuAdmin(request):
    return render(request,'app_pizzaplanet/menuadmin.html')

#vista pedidos de hoy
@login_required
@permission_required('auth.can_view_user')
def pedidosDay(request):
    return render(request,'app_pizzaplanet/AdminPedidosDelDia.html')

#vista gestion de ventas
@login_required
@permission_required('auth.can_view_user')
def gestionVentas(request):
    return render(request,'app_pizzaplanet/Admin_gestionventas.html')

#vista gestion de productos
@login_required
@permission_required('auth.can_view_user')
def gestionProductos(request):
    
    productos=Producto.objects.all()

    contexto={
        "productos":productos
    }
    return render(request,'app_pizzaplanet/adminGestionProductos.html',contexto)


#vista ingresar producto + alerta
@login_required
@permission_required('auth.can_view_user')
def ingresarProd(request):
    formulario=formularioProducto(request.POST or None)

    contexto={
        'form':formulario
    }
    
    if request.method=="POST":
        form=formularioProducto(data=request.POST,files=request.FILES)
        
        if form.is_valid():
            form.save()
            messages.success(request, "Producto ingresado correctamente")
            return redirect(to="gestionProductos")
            
    return render(request,'app_pizzaplanet/ingresarProducto.html',contexto)


#vista de modificar producto
@login_required
@permission_required('auth.can_view_user')
def modificarProd(request):
    Productos=Producto.objects.all()
    contexto={
        'productos':Productos

    }
    return render(request,'app_pizzaplanet/modificarProducto.html',contexto)




    formulario2=formularioAdmin(request.POST or None)

    contexto={
        
        'form2':formulario2
    }
    
    if request.method=="POST":
        if formulario2.is_valid:
            formulario2.save()
            messages.success(request,"Se ha registrado nuevo administrador")
            return redirect(to="listaAdmin")

            
          

    return render(request,'app_pizzaplanet/nuevoAdmin.html',contexto)







#FUNCIONES ELIMINAR Y EDITAR GESTION DE PRODUCTOS, LISTADO DE ADMIN

#eliminar producto + alerta
@login_required
@permission_required('auth.can_view_user')
def eliminar(request,id):

    prod=get_object_or_404(Producto,codigo=id)
    prod.delete()
    messages.success(request,"El producto ha sido eliminado")
                
    return redirect(to="gestionProductos")



#editar producto + alerta
@login_required
@permission_required('auth.can_view_user')
def editar(request,id):
    prod=get_object_or_404(Producto,codigo=id)
    formulario=formularioProducto(instance=prod)
  
    

    contexto={
        'form':formulario
    }
    

    if request.method=='POST':
        formulario=formularioProducto(data=request.POST,files=request.FILES,instance=prod)
        if formulario.is_valid():
            formulario.save()
            messages.success(request,"El producto ha sido modificado")
            return redirect(to="gestionProductos")
        
        contexto={
            "form":formulario
        }
    return render(request,'app_pizzaplanet/editar.html',contexto)



#eliminar desde listado admin + alerta
@login_required
@permission_required('auth.can_view_user')
def eliminar_usuario(request,id):
    user=get_object_or_404(User,id=id)
    user.delete()

    messages.success(request,"eliminado correctamente")
    return redirect(to="listausuarios")


#editar desde listado de usuarios + alerta
@login_required
@permission_required('auth.can_view_user')
def editarUser(request,id):
    usuario=get_object_or_404(User,id=id)
    formulario=formularioRegistro(instance=usuario)
  
    

    contexto={
        'form':formulario
    }
    

    if request.method=='POST':
        formulario=formularioRegistro(data=request.POST,files=request.FILES,instance=usuario)
        if formulario.is_valid():
            formulario.save()
            messages.success(request,"Usuario modificado")
            return redirect(to="listausuarios")
        
        contexto={
            "form":formulario
        }
    return render(request,'app_pizzaplanet/editarUsuarios.html',contexto)

entorno_pizza/sitio_pizza/app_pizzaplanet/templates/app_pizzaplanet/AdminPedidosDelDia.html
{% extends 'app_pizzaplanet/base.html' %}
{% load static %}


{% block contenido %}


<!-- Pagina Historial de pedidos-->
<div class="container-fluid">
    <br>
    <h2>Pedidos del dia</h2>
    <br>
    <table class="table table-responsive">
        <thead class="thead-light">
            <tr>
                <th>NRO DE ORDEN</th>
                <th>PEDIDO</th>
                <th>PRECIO</th>
                <th>CANTIDAD</th>
                <th>TIPO DE PAGO</th>
                <th>FECHA DE COMPRA</th>
                <th>DIRECCION</th>
                <th>ESTADO DE LA ORDEN</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>2351720540</td>
                <td>Pizza familiar + palitos de queso</td>
                <td>$17.000</td>
                <td>1</td>
                <td>Tarjeta Débito</td>
                <td>20-04-2021</td>
                <td>Paicaví 3280, Concepción, Bío-Bío</td>
                <td> Entregado✅</td>

            </tr>
            <tr>
                <td>2351720565</td>
                <td>Pizza Mediana</td>
                <td>$6.000</td>
                <td>2</td>
                <td>Tarjeta Débito</td>
                <td>18-04-2021</td>
                <td>Artuto Prat 412, Concepción, Bío-Bío</td>
                <td> Entregado✅</td>
            </tr>

            <tr>
                <td>2351720565</td>
                <td>Pizza Mediana</td>
                <td>$6.000</td>
                <td>2</td>
                <td>Tarjeta Débito</td>
                <td>18-04-2021</td>
                <td>Artuto Prat 412, Concepción, Bío-Bío</td>
                <td> Pendiente🕑</td>
            </tr>

            <tr>
                <td>2351720565</td>
                <td>Pizza Mediana</td>
                <td>$6.000</td>
                <td>2</td>
                <td>Tarjeta Débito</td>
                <td>18-04-2021</td>
                <td>Artuto Prat 412, Concepción, Bío-Bío</td>
                <td> Pendiente🕑</td>
            </tr>
            <tr>
                <td>2351720565</td>
                <td>Pizza Mediana</td>
                <td>$6.000</td>
                <td>2</td>
                <td>Tarjeta Débito</td>
                <td>18-04-2021</td>
                <td>Artuto Prat 412, Concepción, Bío-Bío</td>
                <td> Pendiente🕑</td>
            </tr>

            <tr>
                <td>2351720565</td>
                <td>Pizza Mediana</td>
                <td>$6.000</td>
                <td>2</td>
                <td>Tarjeta Débito</td>
                <td>18-04-2021</td>
                <td>Artuto Prat 412, Concepción, Bío-Bío</td>
                <td>Pendiente🕑 </td>
            </tr>
        </tbody>
    </table>
    <ul class="pagination">
        <li class="page-item"><a class="page-link" href="Admin_listadmin.html">Anterior</a></li>
        <li class="page-item"><a class="page-link" href="#">1</a></li>
        <li class="page-item"><a class="page-link" href="#">2</a></li>
        <li class="page-item"><a class="page-link" href="#">3</a></li>
        <li class="page-item"><a class="page-link" href="#">Siguiente</a></li>
    </ul>
</div>





{% endblock contenido %}

entorno_pizza/sitio_pizza/app_pizzaplanet/templates/app_pizzaplanet/Admin_gestionventas.html
{% extends 'app_pizzaplanet/base.html' %}
{% load static %}



{% block contenido %}

<script>
    // funcion filtro nro boleta

    $(document).ready(function () {

        $('#nro_boleta').on('keyup', function () {
            var value = $(this).val().toLowerCase();
            $('#miTabla tr').filter(function () {
                $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
            })

        })

    });
</script>


<div class="container-fluid">
    <br>
    <h2>Gestion de Ventas</h2>
    <br>
    <div class="row">
        <div class="col-md-3">
            <div class="card-body">
                <form class="form-inline" action="/action_page.php">
                    <p style="font-weight: bold;">Filtrar nro boleta: </p> &nbsp;
                    <input class="form-control mr-sm-2 " id="nro_boleta" type="text" placeholder="Nro Boleta">

                </form>
                <br>
                <form>
                    <select name="Ordenar Por" class="custom-select">
                        <option selected>Ordenar Por</option>
                        <option value="Mas reciente">Mas reciente</option>
                        <option value="Mas antiguo">Mas antiguo</option>
                        <option value="Precio menor a mayor">Precio menor a mayor</option>
                        <option value="Precio mayor a menor">Precio mayor a menor</option>
                        <option value="Mas Popular">Mas Popular</option>
                    </select>
                </form>
                <br>
                <button type="button" class="btn btn-success">Exportar seleccion</button>

            </div>
        </div>
        <div class="col-lg-9">
            <table class="table  ">
                <thead class="thead-light">
                    <tr>
                        <td> </td>
                        <th>NRO</th>
                        <th>DETALLE</th>
                        <th>VALOR</th>
                        <th>FECHA</th>
                        <TH>TIPO DE PAGO</TH>

                    </tr>
                </thead>
                <tbody id="miTabla">
                    <tr>
                        <td>
                            <div class="form-check">
                                <label class="form-check-label">
                                    <input type="checkbox" class="form-check-input" value="">
                                </label>
                            </div>
                        </td>
                        <td>654</td>
                        <td>Pizza XL + bebida 500cc</td>
                        <td>$15.690</td>
                        <td>24/03/2021</td>
                        <td>Tarjeta debito</td>
                    </tr>
                    <tr>
                        <td>
                            <div class="form-check">
                                <label class="form-check-label">
                                    <input type="checkbox" class="form-check-input" value="">
                                </label>
                            </div>
                        </td>
                        <td>655</td>
                        <td>Pizza XL + bebida 500cc</td>
                        <td>$15.690</td>
                        <td>24/03/2021</td>
                        <td>Tarjeta debito</td>
                    </tr>
                    <tr>
                        <td>
                            <div class="form-check">
                                <label class="form-check-label">
                                    <input type="checkbox" class="form-check-input" value="">
                                </label>
                            </div>
                        </td>
                        <td>656</td>
                        <td>Pizza XL + bebida 500cc</td>
                        <td>$15.690</td>
                        <td>24/03/2021</td>
                        <td>Tarjeta debito</td>
                    </tr>
                    <tr>
                        <td>
                            <div class="form-check">
                                <label class="form-check-label">
                                    <input type="checkbox" class="form-check-input" value="">
                                </label>
                            </div>
                        </td>
                        <td>657</td>
                        <td>Pizza XL + bebida 500cc</td>
                        <td>$15.690</td>
                        <td>24/03/2021</td>
                        <td>Tarjeta debito</td>
                    </tr>
                    <tr>
                        <td>
                            <div class="form-check">
                                <label class="form-check-label">
                                    <input type="checkbox" class="form-check-input" value="">
                                </label>
                            </div>
                        </td>
                        <td>658</td>
                        <td>Pizza XL + bebida 500cc</td>
                        <td>$15.690</td>
                        <td>24/03/2021</td>
                        <td>Tarjeta debito</td>
                    </tr>
                </tbody>
            </table>
            <ul class="pagination">
                <li class="page-item"><a class="page-link" href="Admin_listadmin.html">VOLVER</a></li>
            </ul>
        </div>
    </div>
</div>







{% endblock contenido %}

entorno_pizza/sitio_pizza/app_pizzaplanet/templates/app_pizzaplanet/Planetpuntos.html
{% extends 'app_pizzaplanet/base.html' %}
{% load static %}

{% block contenido %}

<!--ALERTA  AL CANJEAR-->
 <script>

    function alertaCarrito()

    {       Swal.fire({
                    title: '¿Agregar producto al carrito?',
                    icon: 'info',
                    confirmButton: true,
                    confirmButtonColor: 'Green',
                    showCancelButton: true,
                    cancelButtonText: 'Descartar',

                    }).then(function(result){

                        if(result.isConfirmed)

                        {

                            window.location.href="/miCarrito/" ;

                        }

                    });
    }
</script>


<script>
    $(document).ready(function () {
        $('.texto-titulo').css('margin-left', '5%')

    });
</script>


<!-- CONTAINER PUNTOS-->
<h4 class="texto-titulo mt-3" style="color: rgb(107, 52, 16);">Canjea Tus Planet Puntos Aqui!!!</h4> <br>
<div class="container-fluid mt-3">
    <div class="row">


        <div class="col-md-12">
            <div class="container mt-3">
                <div class="row">
                    <div class="col-sm-4">
                        <div class="card">
                            <img class="card-img-top" src="{% static 'app_pizzaplanet/img/napoli.jpeg' %}"
                                alt="Card image" width="150">
                            <div class="card-body">
                                <h6>1.000 PUNTOS</h6>
                                <h4 class="card-title">Planet Pizza Napolitana!</h4>
                                <p class="card-text -50 description">Acumula 1000 puntos comprando la pizza Napolitana
                                    de 2
                                    ingredientes </p>
                                <a name="" id="" class="btn btn-danger " href= "#" onclick="alertaCarrito({{item.codigo}})" role="button">Canjear</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4 ">
                        <div class="card">
                            <img class="card-img-top" src="{% static 'app_pizzaplanet/img/canadian.jpg' %}"
                                alt="Card image" width="150">
                            <div class="card-body">
                                <h6>1.500 PUNTOS</h6>
                                <h4 class="card-title">Planet Pizza Canadian!</h4>
                                <p class="card-text ">Acumula 1500 puntos comprando la pizza Canadian de 2
                                    ingredientes </p>
                                <a name="" id="" class="btn btn-danger " href= "#" onclick="alertaCarrito({{item.codigo}})" role="button">Canjear</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="card">
                            <img class="card-img-top" src="{% static 'app_pizzaplanet/img/pollo.jpg' %}"
                                alt="Card image" width="150">
                            <div class="card-body">
                                <h6>2.000 PUNTOS</h6>
                                <h4 class="card-title">Planet Pizza De Pollo!</h4>
                                <p class="card-text">Acumula 2000 puntos comprando la pizza De Pollo de 3
                                    ingredientes </p>
                                <a name="" id="" class="btn btn-danger " href= "#" onclick="alertaCarrito({{item.codigo}})" role="button">Canjear</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4 mt-1">
                        <div class="card">
                            <img class="card-img-top" src="{% static 'app_pizzaplanet/img/canadian.jpg' %}"
                                alt="Card image" width="150">
                            <div class="card-body">
                                <h6>2.500 PUNTOS</h6>
                                <h4 class="card-title">Planet Box XL + 3 ingredientes!</h4>
                                <p class="card-text">Acumula 2500 puntos comprando la pizza Napolitana de 2
                                    ingredientes</p>
                                <a name="" id="" class="btn btn-danger " href= "#" onclick="alertaCarrito({{item.codigo}})" role="button">Canjear</a>
                            </div>
                        </div>

                    </div>

                    <div class="col-sm-4 mt-1">
                        <div class="card">
                            <img class="card-img-top" src="{% static 'app_pizzaplanet/img/pollo.jpg' %}"
                                alt="Card image" width="150">
                            <div class="card-body">
                                <h6>3.000 PUNTOS</h6>
                                <h4 class="card-title">Planet Home Pollo + Champiñon!</h4>
                                <p class="card-text">Acumula 3000 puntos comprando la pizza Napolitana de 2
                                    ingredientes</p>
                                <a name="" id="" class="btn btn-danger " href= "#" onclick="alertaCarrito({{item.codigo}})" role="button">Canjear</a>
                            </div>
                        </div>

                    </div>
                    <div class="col-sm-4 mt-1">
                        <div class="card">
                            <img class="card-img-top" src="{% static 'app_pizzaplanet/img/napoli.jpeg' %}"
                                alt="Card image" width="150">
                            <div class="card-body">
                                <h6>2.300 PUNTOS</h6>
                                <h4 class="card-title">Planet Home Napolitana + Champiñon!</h4>
                                <p class="card-text -50 description">Acumula 2300 puntos comprando la pizza Napolitana
                                    de 2
                                    ingredientes</p>
                                <a name="" id="" class="btn btn-danger " href= "#" onclick="alertaCarrito({{item.codigo}})" role="button">Canjear</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>




<!--este es el carrito NO BORRAR-->
<!--plugin jquery minicart js-->
<!--<script src="{% static 'app_pizzaplanet/js/minicart.js' %}"></script>
<script>
    // configuración inicial del carrito 
    paypal.minicart.render({
        strings: {

            button: 'Pagar'
            , buttonAlt: "Total"
            , subtotal: 'Total:'
            , empty: 'No hay productos en el carrito'
        }
    });

    // Eventos para agregar productos al carrito

    $('.producto').click(function (e) {
        e.stopPropagation();
        paypal.minicart.cart.add({
            business: 'pizzaplante@gmail.com', // Cuenta paypal para recibir el dinero
            item_name: $(this).attr("titulo"),
            amount: $(this).attr("precio"),
            currency_code: 'CLP',


        });
    });


</script>-->




{% endblock contenido %}

entorno_pizza/sitio_pizza/app_pizzaplanet/templates/app_pizzaplanet/carrito_compra.html
{% extends 'app_pizzaplanet/base.html' %}
{% load static %}

<!--TEMPLATE PARA EL CARRITO DE COMPRAS-->
{% block contenido %}
     
        <!--boton para volver al menu principal-->
        <a style="margin-left: 86%;" href="{% url 'index' %}" class="btn  btn-outline-danger mt-3" role="button">Seguir Comprando</a>

    
     

    <div class="container carrito mt-lg-5">
        
        <h2 style="font-weight: bold; color:rgb(107, 52, 16);">TU ORDEN</h2>&nbsp; &nbsp;
        <table class="table  " style="background-color: rgba(231, 177, 59, 0.897);;">
            <thead class="thead-light">
                <tr>

                            <th>Codigo</th>
                            <th>Producto</th>
                            <th>Nombre</th>
                            <th>Precio</th>
                            <th>cantidad</th>
                        

                        </tr>
                    </thead>
                    <tbody id="tablaPro">
                        
                    </tbody>
        </table>
        <br><br>
        <div class="row mx-4">
            <div class="col">
                <h3 class="itemCartTotal text-dark">Total: </h3>
            </div>
            <div class="col d-flex justify-content-end">
                <!--<button class="btn btn-danger">Pagar</button>-->
                <a href="https://www.webpay.cl/portalpagodirecto/pages/index.jsf" class="btn btn-danger btn-lg">Continuar el pago</a>
            </div>
        </div>
    </div>






{% endblock contenido %}
    







entorno_pizza/sitio_pizza/app_pizzaplanet/templates/app_pizzaplanet/editar.html
{% extends 'app_pizzaplanet/base.html' %}
{% load static %}
{% load crispy_forms_tags %}

<!--EDITAR PRODUCTOS-->
{% block contenido %}

<!--funcion para que rut no pueda ser modificado-->
<script>
    $(document).ready(function(){
        $('#id_codigo').attr("readonly","true")
    });
</script>

<div class="container text-left mt-5">
    

    <div class="row">
        <div class="col-sm-2"></div>
        <div class="col-sm-8">
             
            <h3 class="mt-3">Modificar Producto</h3> &nbsp
            <form action="" method="POST" enctype="multipart/form-data">
                
                {% csrf_token %}
                {{form|crispy}}
                
               
                <input type="submit" class="btn btn-lg btn-danger" value="Guardar Cambios">&nbsp;
                <a href="{% url 'modificarProd' %}" class="btn btn-lg btn-danger">Descartar</a>
            </form>
           
        </div>
        

        <div class="col-sm-2"></div>
    </div>

</div>


{% endblock contenido %}

entorno_pizza/sitio_pizza/app_pizzaplanet/templates/app_pizzaplanet/eliminar.html
{% extends 'app_pizzaplanet/base.html' %}
{% load static %}

<!--ELIMINAR PRODUCTO Y USUARIOS-->
{% block contenido %}


<div class="container text-left mt-5 bg-danger">
    

    <div class="row">
        <div class="col-sm-2"></div>
        <div class="col-sm-8">
             
            <h3 class="mt-3">Eliminar Producto</h3> &nbsp
            <form action="" method="POST" enctype="multipart/form-data">
                
                {% csrf_token %}
                
                
               
                <input type="submit" class="btn btn-sm btn-danger" value="Confirmar">&nbsp;

            </form>
           
        </div>
        

        <div class="col-sm-2"></div>
    </div>

</div>



{% endblock contenido %}